> ## Documentation Index
> Fetch the complete documentation index at: https://developers.govworx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Call Events Registration

> Retrieve a list of webhook registered to receive notifications about call status events.



## OpenAPI

````yaml https://realtime.govworx.net/u/api-docs get /realtime/v1/call/webhooks
openapi: 3.1.0
info:
  title: GovWorx Realtime API
  description: >-
    Interfaces to access processing of realtime call data, transcriptions and
    CommsCoach Assist agentic outputs
  termsOfService: http://swagger.io/terms/
  version: '1.0'
servers:
  - url: https://realtime.govworx.net
security: []
tags:
  - name: Realtime Calls
    description: Endpoints for managing and interacting with active or completed calls
  - name: CAD Integration Handler
    description: >
      Implement these endpoints if you are a CAD vendor building an integration
      with Assist.


      These endpoints allow Assist to directly push data to your system.


      The base URL in the documentation (/cad-integration-handler) is
      illustrative and you may use a different base URL.


      You must implement the endpoints under the base URL using the given
      specifications, however.
  - name: Authentication
    description: Manage short-lived tokens for accessing the Realtime API.
  - name: CAD Integration
    description: Endpoints for managing and interacting with the CAD Integration.
  - name: Webhook Registration
    description: Register webhook handlers to receive notifications.
  - name: Webhook Handlers
    description: >-
      Implement these endpoints as needed to match any webhooks you have
      registered for. The URL in the documentation is illustrative. You must
      handle the webhook at the URL you registered. See 'Webhook Registration'.
externalDocs:
  description: GovWorx Developer Docs
  url: https://api.govworx.ai
paths:
  /realtime/v1/call/webhooks:
    get:
      tags:
        - Realtime Calls
      summary: Retrieve Call Events Registration
      description: >-
        Retrieve a list of webhook registered to receive notifications about
        call status events.
      operationId: getCallWebhookByTenant
      responses:
        '200':
          description: Webhook list retrieved successfully
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebhookRegistrationDto'
        '401':
          description: Failed to authenticate request
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebhookRegistrationDto'
        '403':
          description: Not authorized to access this webhook list
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebhookRegistrationDto'
        '404':
          description: Webhooks not found
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebhookRegistrationDto'
        '500':
          description: Failed to retrieve webhooks
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebhookRegistrationDto'
components:
  schemas:
    WebhookRegistrationDto:
      type: object
      description: Webhook registration details
      properties:
        id:
          type: string
          description: Unique identifier for this webhook registration
        tenantId:
          type: string
          description: Tenant identifier linked to this webhook registration
        url:
          type: string
          description: URL that will receive webhook payloads
        eventType:
          type: string
          description: Event types this webhook is registered for
        active:
          type: boolean
          description: Whether this webhook is currently active
        deleted:
          type: boolean
          description: Whether this webhook is currently deleted
        createdAt:
          type: string
          format: date-time
          description: When this webhook was registered
        updatedAt:
          type: string
          format: date-time
          description: When this webhook was last updated

````